import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {FreeGuard} from '../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {TopicComponent} from "./topic.component";

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: TopicComponent,
        canActivate: [FreeGuard],
        canDeactivate: [PreviousRouteRecorder]
      }
    ])
  ]
})
export class TopicRoutingModule {
}
