import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {FreeGuard} from '../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {StakeholderComponent} from "./stakeholder.component";

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: StakeholderComponent,
        canActivate: [FreeGuard],
        canDeactivate: [PreviousRouteRecorder]
      }
    ])
  ]
})
export class StakeholderRoutingModule {
}
